# Name

HPL_idamax 1st k s.t. |x_k| = max_i(|x_i|).

# Synopsis

`#include "hpl.h"`
`int` `HPL_idamax(` `const int` `N`, `const double *` `X`, `const int` `INCX` `);`

# Description

HPL_idamax returns the index in an n-vector x of the first element having maximum absolute value.

# Arguments

    N       (local input)                 const int
            On entry, N specifies the length of the vector x. N  must  be
            at least zero.

    X       (local input)                 const double *
            On entry,  X  is an incremented array of dimension  at  least
            ( 1 + ( n - 1 ) * abs( INCX ) )  that  contains the vector x.

    INCX    (local input)                 const int
            On entry, INCX specifies the increment for the elements of X.
            INCX must not be zero.

# Example

`#include "hpl.h"`

    int main(int argc, char *argv[])
    {
       double x[3];
       int    imax;
       x[0] = 1.0; x[1] = 3.0; x[2] = 2.0;
       imax = HPL_idamax( 3, x, 1 );
       printf("imax=%d\n", imax);
       exit(0);
       return(0);
    }

# See Also

HPL_daxpy, HPL_dcopy, HPL_dscal, HPL_dswap.